<template>
    <view class="c-nav-bar">
        <AtNavBar
            :title="title"
            leftIconType="chevron-left"
            :onClickLeftIcon="evt=>goBack()"
            :rightFirstIconType="dropNav ? 'bullet-list' : ''"
            :onClickRgIconSt="evt=>dropMenu()"
        />
        <view
            class="c-nav-bar-drop"
            v-show="dropShow"
        >
            <view class="inner">
                <view class="arrow"></view>
                <view class="box">
                    <view
                        class="item"
                        v-for="(nav,index) in dropNav"
                        :key="index"
                        @tap="evt=>goNav(nav)"
                    >{{nav.title}}</view>
                </view>
            </view>
        </view>
    </view>
</template>

<script>
import Taro from '@tarojs/taro';
import { AtNavBar } from 'taro-ui-vue';
import './cNavBar.scss';

export default {
    name: 'CNavBar',
    components: {
        AtNavBar,
    },
    props: {
        title: String,
        dropNav: Array,
    },
    data() {
        return {
            dropShow: false,
        };
    },
    methods: {
        goBack() {
            window.history.go(-1);
        },
        goNav(nav) {
            if (!nav.url) {
                return;
            }
            this.dropShow = false;
            let method = 'navigateTo';
            if (/navigate|redirect/.test(nav.method)) {
                method = nav.method + 'To';
            }
            Taro[method]({ url: nav.url });
        },
        dropMenu() {
            this.dropShow = !this.dropShow;
        },
    },
    mounted() {},
};
</script>